CRMchat APIBeta
Telegram APIPayments

payments.getStarsRevenueStats

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/payments.getStarsRevenueStats

Get Telegram Star revenue statistics ».

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getStarsRevenueStats" \  -H "Content-Type: application/json" \  -d '{    "params": {      "peer": {        "_": "inputPeerEmpty"      }    }  }'
{  "result": {    "_": "payments.starsRevenueStats",    "topHoursGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "revenueGraph": {      "_": "statsGraphAsync",      "token": "string"    },    "status": {      "_": "starsRevenueStatus",      "withdrawalEnabled": true,      "currentBalance": {        "_": "starsAmount",        "amount": "string",        "nanos": 0      },      "availableBalance": {        "_": "starsAmount",        "amount": "string",        "nanos": 0      },      "overallRevenue": {        "_": "starsAmount",        "amount": "string",        "nanos": 0      },      "nextWithdrawalAt": 0    },    "usdRate": 0.1  }}